%define upstream_name	 List-MoreUtils
%define upstream_version 0.430

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Provide the stuff missing in List::Util 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/List/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:  noarch

Recommends:	perl(List::MoreUtils::XS) >= 0.418

BuildRequires: perl(Exporter::Tiny) >= 0.38.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::MoreUtils::XS) >= 0.430.0
BuildRequires: perl(Storable)
BuildRequires: perl(Test::LeakTrace)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl-devel
%description
List::MoreUtils provides some trivial but commonly needed functionality on
lists which is not going to go into List::Util.

All of its functions are implementable in one line of Perl code. Using
the functions from this module however should give slightly better performance
as everything is implemented in C.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%install
%make_install

%check
%make_build test

%files 
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{perl_vendorlib}/List
%{_mandir}/*/*


%changelog
* Fri Aug 23 2024 neoclust <neoclust> 0.430.0-10.mga10
+ Revision: 2089522
- Rebuild on the Real BS
- Rebuild against new perl
- Rebuild against new perl

* Sun Nov 26 2023 tv <tv> 0.430.0-7.mga10
+ Revision: 2009895
- Rebuild with BS after semi-manual rebuild for perl-5.38
+ pterjan <pterjan>
- Initial rebuild for perl 5.36

* Mon Mar 21 2022 umeabot <umeabot> 0.430.0-5.mga9
+ Revision: 1814543
- Mageia 9 Mass Rebuild

* Mon May 24 2021 tmb <tmb> 0.430.0-4.mga9
+ Revision: 1726216
- rebuild post bootstrap
- rebuild for perl-5.34.0

* Mon May 24 2021 joequant <joequant> 0.430.0-2.mga9
+ Revision: 1726193
- compile with new perl

* Thu Oct 22 2020 tv <tv> 0.430.0-1.mga8
+ Revision: 1638262
- update to 0.430

* Wed Jun 17 2020 pterjan <pterjan> 0.428.0-9.mga8
+ Revision: 1594124
- Clean rebuild
- Rebuild for new perl

* Sat Feb 15 2020 umeabot <umeabot> 0.428.0-7.mga8
+ Revision: 1528670
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Aug 26 2019 tv <tv> 0.428.0-6.mga8
+ Revision: 1432461
- rebuild with perl-5.30 on BS (for missing signature)
+ tmb <tmb>
- rebuild for perl-5.30.0-4.mga8

* Thu Sep 20 2018 umeabot <umeabot> 0.428.0-4.mga7
+ Revision: 1284503
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 tmb <tmb> 0.428.0-3.mga7
+ Revision: 1247844
- rebuild for missing signatures
+ pterjan <pterjan>
- Manual rebuild for new perl

* Tue Dec 12 2017 tv <tv> 0.428.0-1.mga7
+ Revision: 1182392
- update to 0.428

* Fri Oct 13 2017 tv <tv> 0.426.0-1.mga7
+ Revision: 1171631
- update to 0.426

* Tue Oct 03 2017 tv <tv> 0.425.0-3.mga7
+ Revision: 1165261
- rebuild with fixed rpm for missing autodeps

* Fri Sep 15 2017 tv <tv> 0.425.0-2.mga7
+ Revision: 1154334
- BR perl(List::MoreUtils::XS) for testsuite
- new release

* Wed Aug 30 2017 neoclust <neoclust> 0.419.0-7.mga7
+ Revision: 1148459
- Rebuild on the BS

* Wed Aug 30 2017 neoclust <neoclust> 0.419.0-6.mga7
+ Revision: 1148458
- Rebuild on the BS
- Bump release to rebuild against non bootstrapped perl

* Mon Jul 24 2017 neoclust <neoclust> 0.419.0-4.mga7
+ Revision: 1130157
- Rebuild on the BS

* Sat Jul 22 2017 neoclust <neoclust> 0.419.0-3.mga7
+ Revision: 1126651
- Rebuild against new Perl 5.26

* Fri Jul 21 2017 tv <tv> 0.419.0-2.mga7
+ Revision: 1126248
- rebuild for perl 5.26

* Thu Jul 20 2017 tv <tv> 0.419.0-1.mga7
+ Revision: 1125408
- recommends new split out List::MoreUtils::XS
- fix file list
- new release
- rebuild for new perl

* Sat May 07 2016 luigiwalser <luigiwalser> 0.415.0-1.mga6
+ Revision: 1010095
- 0.415

* Fri Feb 12 2016 umeabot <umeabot> 0.413.0-5.mga6
+ Revision: 957663
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 tv <tv> 0.413.0-4.mga6
+ Revision: 843433
- rebuild with soname-ified perl

* Tue Jun 23 2015 tmb <tmb> 0.413.0-3.mga6
+ Revision: 840398
- rebuild with buildsystem
- rebuild with perl-5.22

* Tue Jun 23 2015 tv <tv> 0.413.0-1.mga6
+ Revision: 840292
- new release

* Wed Oct 15 2014 umeabot <umeabot> 0.330.0-12.mga5
+ Revision: 742965
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.330.0-11.mga5
+ Revision: 733135
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.330.0-10.mga5
+ Revision: 685238
- Mageia 5 Mass Rebuild

* Mon Jun 02 2014 pterjan <pterjan> 0.330.0-9.mga5
+ Revision: 630706
- Rebuild cleanly
- Rebuild for new Perl

* Tue Feb 04 2014 tv <tv> 0.330.0-7.mga5
+ Revision: 581812
- rebuild for new perl

* Sat Oct 19 2013 umeabot <umeabot> 0.330.0-6.mga4
+ Revision: 524673
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.330.0-5.mga4
+ Revision: 431368
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 0.330.0-4.mga4
+ Revision: 430870
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.330.0-3.mga3
+ Revision: 369127
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 24 2012 pterjan <pterjan> 0.330.0-2.mga3
+ Revision: 283404
- Clean rebuild
+ jquelin <jquelin>
- update to 0.33

* Wed Jun 15 2011 jquelin <jquelin> 0.320.0-1.mga2
+ Revision: 107030
- update to 0.32

* Sun Jun 12 2011 ahmad <ahmad> 0.300.0-4.mga2
+ Revision: 104547
- Rebuild for missing signature

* Wed Jan 19 2011 jquelin <jquelin> 0.300.0-3.mga1
+ Revision: 23770
- rebuild

* Tue Jan 18 2011 blino <blino> 0.300.0-2.mga1
+ Revision: 23247
- rebuild with new perl
+ jquelin <jquelin>
- imported package perl-List-MoreUtils


* Fri Dec 17 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.300.0-1mdv2011.0
+ Revision: 622699
- update to new version 0.30

* Wed Dec 08 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.290.0-1mdv2011.0
+ Revision: 616214
- update to new version 0.29

* Sat Nov 27 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.260.0-1mdv2011.0
+ Revision: 602030
- new version

* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 0.250.0-5mdv2011.0
+ Revision: 564522
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.250.0-4mdv2011.0
+ Revision: 555263
- rebuild

* Tue Jul 20 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.250.0-3mdv2011.0
+ Revision: 555216
- rebuild

  + Jérôme Quelin <jquelin@mandriva.org>
    - rebuild for 5.12

  + Funda Wang <fwang@mandriva.org>
    - New version 0.25

* Mon Jul 27 2009 Jérôme Quelin <jquelin@mandriva.org> 0.240.0-1mdv2010.0
+ Revision: 400649
- update to 0.24
- using %%perl_convert_version
- fixed license field

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.22-5mdv2009.0
+ Revision: 257640
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.22-4mdv2009.0
+ Revision: 245693
- rebuild

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 0.22-2mdv2008.1
+ Revision: 151326
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jul 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.22-1mdv2008.0
+ Revision: 48621
- new version


* Tue Jun 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.21-1mdv2007.0
- New version 0.21

* Mon Jun 12 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.20-1mdv2007.0
- New release 0.20

* Tue Mar 21 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.19-2mdk
- fix buildrequires
- fix optimisations

* Fri Mar 17 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.19-1mdk
- New release 0.19

* Wed Mar 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-2mdk
- fix sources URL
- conditional buildrequires

* Wed Mar 01 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.18-1mdk
- 0.18

* Tue Dec 13 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.17-1mdk
- 0.17

* Mon Nov 14 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.16-1mdk
- 0.16

* Wed Sep 28 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.12-1mdk
- 0.12

* Tue Sep 27 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.11-1mdk
- 0.11

* Sat Jun 11 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-2mdk 
- spec cleanup
- don't ship useless empty dirs
- make test in %%check

* Fri Apr 22 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.10-1mdk
- 0.10

* Tue Dec 14 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.09-1mdk 
- 0.09

* Wed Nov 24 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.06-1mdk
- 0.06

* Mon Nov 15 2004 Michael Scherer <misc@mandrake.org> 0.05-2mdk
- Rebuild for new perl

* Mon Oct 11 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.05-1mdk
- 0.05
- tweak description

* Sun Sep 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.04-1mdk 
- first mdk release

